<?php

/**
 * Shopgate GmbH
 *
 * URHEBERRECHTSHINWEIS
 *
 * Dieses Plugin ist urheberrechtlich geschützt. Es darf ausschließlich von Kunden der Shopgate GmbH
 * zum Zwecke der eigenen Kommunikation zwischen dem IT-System des Kunden mit dem IT-System der
 * Shopgate GmbH über www.shopgate.com verwendet werden. Eine darüber hinausgehende Vervielfältigung, Verbreitung,
 * öffentliche Zugänglichmachung, Bearbeitung oder Weitergabe an Dritte ist nur mit unserer vorherigen
 * schriftlichen Zustimmung zulässig. Die Regelungen der §§ 69 d Abs. 2, 3 und 69 e UrhG bleiben hiervon unberührt.
 *
 * COPYRIGHT NOTICE
 *
 * This plugin is the subject of copyright protection. It is only for the use of Shopgate GmbH customers,
 * for the purpose of facilitating communication between the IT system of the customer and the IT system
 * of Shopgate GmbH via www.shopgate.com. Any reproduction, dissemination, public propagation, processing or
 * transfer to third parties is only permitted where we previously consented thereto in writing. The provisions
 * of paragraph 69 d, sub-paragraphs 2, 3 and paragraph 69, sub-paragraph e of the German Copyright Act shall remain unaffected.
 *
 * @author Shopgate GmbH <interfaces@shopgate.com>
 */
class ShopgateLocationModel
{
	function __construct(){}
	
    /**
     * @param $name
     *
     * @return mixed
     * @deprecated
     */
    public function getCountryIdByName($name)
    {
        $query
                       =
            "SELECT c.countries_id AS id FROM " . TABLE_COUNTRIES . " AS c WHERE c.countries_iso_code_2 = \"{$name}\"";
        $result        = ShopgateWrapper::db_query($query);
        $CountryResult = ShopgateWrapper::db_fetch_array($result);
        
        return $CountryResult["id"];
    }

    /**
     * @param $name
     *
     * @return array
     */
    public function getCountryByIso2Name($name)
    {
		$query         = "SELECT c.* FROM " . TABLE_COUNTRIES
			. " AS c WHERE c.countries_iso_code_2 = \"{$name}\"";
		$result        = ShopgateWrapper::db_query($query);
		$CountryResult = ShopgateWrapper::db_fetch_array($result);

		return $CountryResult;
	}

    /**
     * @param $zoneCountryId
     *
     * @return array
     */
    public function getZoneByCountryId($zoneCountryId)
    {
        $query
                       =
            "select * from " . TABLE_ZONES_TO_GEO_ZONES . " where zone_country_id = '" . $zoneCountryId . "' order by zone_id";
        $result        = ShopgateWrapper::db_query($query);
        $countryResult = ShopgateWrapper::db_fetch_array($result);
        
        return $countryResult;
    }

    /**
     * @param $zoneCountryId
     *
     * @return array
     */
    public function getZoneByCountryIdModuleShippingFlat($zoneCountryId)
    {
        $query
                       =
            "select * from " . TABLE_ZONES_TO_GEO_ZONES . " where geo_zone_id = '" . MODULE_SHIPPING_FLAT_ZONE
            . "' and zone_country_id = '" . $zoneCountryId . "' order by zone_id";
        $result        = ShopgateWrapper::db_query($query);
        $countryResult = ShopgateWrapper::db_fetch_array($result);
        
        return $countryResult;
    }

    /**
     * @param $countryId
     * @param $zoneCode
     *
     * @return mixed
     */
    public function getCustomerZoneId($countryId, $zoneCode)
    {
        $query
                    = "select z.zone_id from zones as z where z.zone_country_id = {$countryId} AND z.zone_code = '{$zoneCode}'";
        $result     = ShopgateWrapper::db_query($query);
        $zoneResult = ShopgateWrapper::db_fetch_array($result);
        
        return $zoneResult["zone_id"];
    }
} 
